<?php

namespace App\Modules\BookingEquipment\Domain;

use App\Modules\Shared\Domain\ValueObject\EnumValueObject;

class BookingEquipmentMode extends EnumValueObject
{
    const REGULAR = 1;
    const UPGRADE = 2;
    const EXTRA = 3;
    const ALTERNATIVE = 4;

    public static function defaultValue()
    {
        return self::REGULAR;
    }

    public static function values(): array
    {
        return [
            self::REGULAR,
            self::UPGRADE,
            self::EXTRA,
            self::ALTERNATIVE,
        ];
    }
}
